<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    style="@style/DialogTheme"
    android:layout_height="wrap_content"
    android:layout_margin="@dimen/layout_margin_1"
    app:cardBackgroundColor="@color/verdnatura_black_8"
    app:cardCornerRadius="@dimen/dialog_radius">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="@dimen/default_layout_margin">

        <TextView
            android:id="@+id/custom_dialog_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/layout_margin_min"
            android:layout_marginBottom="@dimen/layout_margin_min"
            android:textAlignment="center"
            android:textColor="@color/verdnatura_white"
            android:textSize="@dimen/h6"
            android:textStyle="bold"
            android:visibility="gone"
            tools:text="¿Estás seguro de que deseas eliminar el dispositivo de celia?"
            tools:visibility="visible" />


        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/textinputlayout_item"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/default_layout_margin"
            android:textColorHint="@android:color/darker_gray">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/custom_dialog_item"
                style="@style/InputLineTextSearch"
                android:layout_width="match_parent"
                android:backgroundTint="@android:color/white"
                android:hint="@string/itemfk"
                android:lines="1"
                android:maxLines="1"
                android:textColor="@color/verdnatura_white"
                android:textColorHint="@android:color/darker_gray" />
        </com.google.android.material.textfield.TextInputLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:baselineAligned="false">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_packing"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/default_layout_margin"
                android:layout_weight="1"
                android:textColorHint="@android:color/darker_gray">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/custom_dialog_packing"
                    style="@style/InputLineTextSearch"
                    android:layout_width="match_parent"
                    android:backgroundTint="@android:color/white"
                    android:hint="@string/Packing"
                    android:inputType="number"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_units"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/default_layout_margin"
                android:layout_weight="1"
                android:visibility="invisible"
                android:textColorHint="@android:color/darker_gray">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/custom_dialog_units"
                    style="@style/InputLineTextSearch"
                    android:layout_width="match_parent"
                    android:backgroundTint="@android:color/white"
                    android:hint="@string/unityTicket"
                    android:inputType="number"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray"
                    android:visibility="invisible"/>
            </com.google.android.material.textfield.TextInputLayout>



        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:baselineAligned="false">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_etiquetas"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/default_layout_margin"
                android:layout_weight="1"
                android:textColorHint="@android:color/darker_gray">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/custom_dialog_etiquetas"
                    style="@style/InputLineTextSearch"
                    android:layout_width="match_parent"
                    android:backgroundTint="@android:color/white"
                    android:hint="@string/Etiquetas"
                    android:inputType="number"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textinputlayout_visible"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/default_layout_margin"
                android:layout_weight="1"
                android:textColorHint="@android:color/darker_gray">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/custom_dialog_visible"
                    style="@style/InputLineTextSearch"
                    android:layout_width="match_parent"
                    android:backgroundTint="@android:color/white"
                    android:hint="@string/Visible"
                    android:inputType="number"
                    android:lines="1"
                    android:maxLines="1"
                    android:textColor="@color/verdnatura_white"
                    android:textColorHint="@android:color/darker_gray" />
            </com.google.android.material.textfield.TextInputLayout>
        </LinearLayout>


        <Button
            android:id="@+id/custom_dialog_button_ok"
            style="@style/DefaultButton.NormalButton"
            android:layout_width="match_parent"
            android:layout_marginTop="@dimen/default_layout_margin"
            android:visibility="gone"
            tools:text="@string/delete"
            tools:visibility="visible" />

        <Button
            android:id="@+id/custom_dialog_button_ko"
            style="@style/DefaultButton.TransparentButton"
            android:layout_width="match_parent"
            android:layout_marginTop="@dimen/default_layout_margin"
            android:layout_marginBottom="@dimen/default_layout_margin"
            android:visibility="gone"
            tools:text="@string/cancel"
            tools:visibility="visible" />
    </LinearLayout>
</androidx.cardview.widget.CardView>
